Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.dynamictree.model.impl
Class EMFIndexedValuePropertyDelegator

    java.lang.Object
      org.eclipse.core.databinding.property.value.ValueProperty
          org.eclipse.core.databinding.property.value.SimpleValueProperty
              org.eclipse.emf.ecp.view.dynamictree.model.impl.EMFIndexedValuePropertyDelegator

All Implemented Interfaces:
  org.eclipse.core.databinding.property.IProperty, org.eclipse.core.databinding.property.value.IValueProperty

    public class EMFIndexedValuePropertyDelegator

extends org.eclipse.core.databinding.property.value.SimpleValueProperty

This class adds support for addressing specific elements of a list by an index to an encapsulated `IValueProperty`.

Author:
  Lucas Koehler

Constructor Summary
`EMFIndexedValuePropertyDelegator(org.eclipse.core.databinding.property.value.IValueProperty delegate, int index)` Creates a new instance of `EMFIndexedValuePropertyDelegator`.

Method Summary
`org.eclipse.core.databinding.property.INativePropertyListener` | `adaptListener(org.eclipse.core.databinding.property.ISimplePropertyListener listener)`
`Object` | `getValueType()`

Methods inherited from class org.eclipse.core.databinding.property.value.SimpleValueProperty
`observe, observeDetail, observeDetail, observeDetail`

Methods inherited from class org.eclipse.core.databinding.property.value.ValueProperty
`getValue, list, map, observe, observeDetail, set, setValue, value, valueFactory, valueFactory`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFIndexedValuePropertyDelegator

    public EMFIndexedValuePropertyDelegator(org.eclipse.core.databinding.property.value.IValueProperty delegate,
                                            int index)

  Creates a new instance of `EMFIndexedValuePropertyDelegator`.

  Parameters:
    `delegate` - The encapsulated `IValueProperty`
    `index` - The list index

Method Detail

### getValueType

    public Object getValueType()

  See Also:
    `IValueProperty.getValueType()`

### adaptListener

    public org.eclipse.core.databinding.property.INativePropertyListener adaptListener(org.eclipse.core.databinding.property.ISimplePropertyListener listener)

  Specified by:
    `adaptListener` in class `org.eclipse.core.databinding.property.value.SimpleValueProperty`
  See Also:
    `SimpleValueProperty.adaptListener(org.eclipse.core.databinding.property.ISimplePropertyListener)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.